%%% Analyse the data for a full day
function analyse_day(dateStr,plotStr)

global basedir;
global imageSizes;
global plots_basedir;

define_dirs_analysis();
cosmetics;

fnamedir=[ basedir dateStr '_scope' '/' ];

htmltxt_table=cell(24);
htmltxt_img=cell(24);


%%% Num data files
[status,nDataStr]=system([ ' ls ' fnamedir ' | grep _image.png | wc -l ' ] );
nDataNum=str2num(nDataStr);
%%% shotInfo
lscmd=[ fnamedir '*.shotInfo' ];
[status,filelist]=system(['ls --color=never -1 ' lscmd ]);
dayInfo=struct;
dayInfo.date=dateStr;
dayInfo.nDataEvents=nDataNum;
if (status==0)
filelist=ls('--color=never','-1', lscmd);
filelist=strrep(filelist,fnamedir,'');
newLines=strfind(filelist,char(10)) ;
nShots=length(newLines);
newLines=[ 0 newLines ];
iShot=1;
for iline=2:length(newLines)
    line=filelist(newLines(iline-1)+1:newLines(iline)-1);
        dateStrFile=line(7:14);
    theShot=load([ fnamedir line ],'-mat');
if(((theShot.shotInfo.ch(2).on)==1)&& (~(isempty(theShot.shotInfo.ch(2).values))) && ( strcmp(dateStr,dateStrFile )))
        dayInfo.shots(iShot)=theShot;
        dayInfo.hoursNum(iShot)=str2num(filelist(newLines(iline-1)+1+15:newLines(iline)-1-9));
        dayInfo.dayNum(iShot)=str2num(dateStrFile);

        dayInfo.ch2signalValSPM(iShot)=dayInfo.shots(iShot).shotInfo.ch(2).values.SPM.signalVal;
        dayInfo.ch2signalNegPeakSPM(iShot)=dayInfo.shots(iShot).shotInfo.ch(2).values.SPM.signalNegPeak;
        dayInfo.ch2signalValLPM(iShot)=dayInfo.shots(iShot).shotInfo.ch(2).values.LPM.signalVal;
        dayInfo.ch2signalNegPeakLPM(iShot)=dayInfo.shots(iShot).shotInfo.ch(2).values.LPM.signalNegPeak;

if(((theShot.shotInfo.ch(1).on)==1)&& (~(isempty(theShot.shotInfo.ch(1).values))) && ( strcmp(dateStr,dateStrFile )))
        dayInfo.ch1signalValSPM(iShot)=dayInfo.shots(iShot).shotInfo.ch(1).values.SPM.signalVal;
        dayInfo.ch1signalNegPeakSPM(iShot)=dayInfo.shots(iShot).shotInfo.ch(1).values.SPM.signalNegPeak;
        dayInfo.ch1signalValLPM(iShot)=dayInfo.shots(iShot).shotInfo.ch(1).values.LPM.signalVal;
        dayInfo.ch1signalNegPeakLPM(iShot)=dayInfo.shots(iShot).shotInfo.ch(1).values.LPM.signalNegPeak;
end % if ch(1) is on 

        hourStr=line(16:21);
        htmltxt_table{str2num(hourStr(1:2))+1}=[ htmltxt_table{str2num(hourStr(1:2))+1} get_channels_html(theShot.shotInfo,0,line(7:21)) ];
        htmltxt_img{str2num(hourStr(1:2))+1}=[ htmltxt_img{str2num(hourStr(1:2))+1} get_img_html(theShot.shotInfo,dateStr,hourStr,imageSizes) ];
    else
        nShots=nShots-1;
        iShot=iShot-1;
    end %channel 2 is on
    iShot=iShot+1;
end % for each line
else
    nShots=0;
end % if ls status == 0 
dayInfo.nShots=nShots;
save([ fnamedir 'day_' dateStr '.dayInfo' ] ,'dayInfo');


%%% shotFullInfo
lscmd=[ fnamedir '*.shotFullInfo' ];
[status,filelist]=system(['ls --color=never -1 ' lscmd ]);
dayFullInfo=struct;
dayFullInfo.date=dateStr;
dayFullInfo.nDataEvents=nDataNum;

if (status==0)
filelist=strrep(filelist,fnamedir,'');
newLines=strfind(filelist,char(10)) ;
nFullShots=length(newLines);
newLines=[ 0 newLines ];
iFullShot=1;
for iline=2:length(newLines)
	    line=filelist(newLines(iline-1)+1:newLines(iline)-1);
    theFullShot=load([ fnamedir line ],'-mat');
if(((theFullShot.shotInfo.ch(2).on)==1)&& (~(isempty(theFullShot.shotInfo.ch(2).values)))&&(~isempty(theFullShot.shotInfo.beamInfo)))
        dayFullInfo.shots(iFullShot)=theFullShot;
        dayFullInfo.hoursNum(iFullShot)=str2num(filelist(newLines(iline-1)+1+15:newLines(iline)-1-13));
        dayFullInfo.dayNum(iFullShot)=str2num(dateStr);
        dayFullInfo.ch2signalValSPM(iFullShot)=dayFullInfo.shots(iFullShot).shotInfo.ch(2).values.SPM.signalVal;
        dayFullInfo.ch2signalNegPeakSPM(iFullShot)=dayFullInfo.shots(iFullShot).shotInfo.ch(2).values.SPM.signalNegPeak;
        dayFullInfo.ch2signalValLPM(iFullShot)=dayFullInfo.shots(iFullShot).shotInfo.ch(2).values.LPM.signalVal;
        dayFullInfo.ch2signalNegPeakLPM(iFullShot)=dayFullInfo.shots(iFullShot).shotInfo.ch(2).values.LPM.signalNegPeak;

if((theShot.shotInfo.ch(1).on)==1)
  if  (~(isempty(theShot.shotInfo.ch(1).values)))
        dayFullInfo.ch1signalValSPM(iFullShot)=dayFullInfo.shots(iFullShot).shotInfo.ch(1).values.SPM.signalVal;
        dayFullInfo.ch1signalNegPeakSPM(iFullShot)=dayFullInfo.shots(iFullShot).shotInfo.ch(1).values.SPM.signalNegPeak;
        dayFullInfo.ch1signalValLPM(iFullShot)=dayFullInfo.shots(iFullShot).shotInfo.ch(1).values.LPM.signalVal;
        dayFullInfo.ch1signalNegPeakLPM(iFullShot)=dayFullInfo.shots(iFullShot).shotInfo.ch(1).values.LPM.signalNegPeak;
	else % shot is empty
		 error_sp(['Empty channel 1 shot on ' dateStr ' shot number ' num2str(iFullShot) ])
        end % is shot empty 
end % if ch(1) is on 

        dayFullInfo.beamInfo(iFullShot,:)=theFullShot.shotInfo.beamInfo(1,:);
    else
        nFullShots=nFullShots-1;
        iFullShot=iFullShot-1;
    end %channel is on
    iFullShot=iFullShot+1;
end % for each line
else
    nFullShots=0;
end % if ls status == 0 
dayFullInfo.nShots=nShots;
dayFullInfo.nFullShots=nFullShots;

%if ((nFullShots > 0 ) && ( nFullShots/nShots > 0.5 ))
save([ fnamedir 'day_' dateStr '.dayFullInfo' ] ,'dayFullInfo');
%end % nFullShots >0 
disp([ 'nData= ' num2str(nDataNum) ' / nShots= ' num2str(nShots) ' /  nFullShots= ' num2str(nFullShots) ]);

if (nShots>0)
if (plotStr>0)
    for ihour=0:23
        thisHourShots=find(floor(dayInfo.hoursNum(:)/10000)==ihour);
        if (~isempty(thisHourShots))
            figure(plotStr*1000+ihour)
            clf;
plot(floor(mod(dayInfo.hoursNum(thisHourShots),10000)/100),dayInfo.ch2signalValSPM(thisHourShots))
	    title(' Ch2 - signal val SPM') 
	    ylabel('Intensity [AU]')
	    xlabel('Minutes in the hour')
            figure(plotStr*1000+100+ihour)
            clf;
plot(floor(mod(dayInfo.hoursNum(thisHourShots),10000)/100),dayInfo.ch2signalNegPeakSPM(thisHourShots))
	    title(' Ch2 - signal Neg Peak SPM') 
	    ylabel('Intensity [AU]')
	    xlabel('Minutes in the hour')
            figure(plotStr*1000+200+ihour)
            clf;
plot(floor(mod(dayInfo.hoursNum(thisHourShots),10000)/100),dayInfo.ch2signalValLPM(thisHourShots))
	    title(' Ch2 - signal val LPM') 
	    ylabel('Intensity [AU]')
	    xlabel('Minutes in the hour')
            figure(plotStr*1000+300+ihour)
            clf;
plot(floor(mod(dayInfo.hoursNum(thisHourShots),10000)/100),dayInfo.ch2signalNegPeakLPM(thisHourShots))
	    title(' Ch2 - signal Neg Peak LPM') 
	    ylabel('Intensity [AU]')
	    xlabel('Minutes in the hour')
            for ifig=[ 0:3]
  jfig=ifig*100+plotStr*1000+ihour;
  figure(jfig)
  print('-dpng', [ plots_basedir dateStr  '/'  sprintf('%02d',ihour) '/'  'hourly_figure_' num2str(ifig) '.png' ]);
	    end % for ifig
        end % if length>0
    end % for each hour
    end % if (plotStr>0)
end % if nShots >0

%%% Preliminary analysis
if (nFullShots>0)
  analyse_info_one_day(dateStr)
end %if nFullShots>0

%plot erroros and send alert if something wrong
analyse_dayInfo(dateStr, 200);

%%% HTML file


% page for each hour
    for ihour=0:23
      %ihour=24 => full day
	basehtmldir=[ plots_basedir dateStr  '/'  sprintf('%02d',ihour) '/' ];
        fhtmlname=[ basehtmldir 'info_hourly_' sprintf('%02d',ihour) '.html' ];
        if (~exist(basehtmldir,'dir'))
          mkdir(basehtmldir);
        end

	titleStr = [ 'SPESO - 1-hour - ' dateStr ' - ' sprintf('%02d',ihour) ];
	fid=analyse_day_html_generalHeader(fhtmlname, titleStr, dateStr);
	
	for ifig=[ 0:3]
	  imgname=[ 'hourly_figure_' num2str(ifig) '.png'	];
	  fprintf(fid, [ '<A HREF="' imgname '" >'...
		         '<IMG SRC="' imgname '" WIDTH=' num2str(imageSizes) ' ></A>\n' ] );
	end % for ifig



	fprintf(fid,'<TABLE border=2>');

	fprintf(fid,'<TR>');
	fprintf(fid,'<TD rowspan=2> Event # </TD>');
	fprintf(fid,'<TD rowspan=2> Channel # </TD>');
	fprintf(fid,'<TD rowspan=2> Status </TD>');
	fprintf(fid,'<TD colspan=8> SPM </TD>');
	fprintf(fid,'<TD colspan=8> LPM </TD>');
	fprintf(fid,'</TR>');
	fprintf(fid,'<TR>');

	for ipulse=1:2
	fprintf(fid,'<TD colspan=3>Means</tD>');
	fprintf(fid,'<TD colspan=3>RMS</tD>');
	fprintf(fid,'<TD>Signal Value</tD>');
	fprintf(fid,'<TD>Neg Peak</tD>');
	end %for

	fprintf(fid,'</TR>');

	htmltxt_table{ihour+1}= [ ' ' htmltxt_table{ihour+1} ] ; % avoids empty cells    
	htmltxt_img{ihour+1}= [ ' ' htmltxt_img{ihour+1} ] ; % avoids empty cells    

	fprintf(fid,htmltxt_table{ihour+1});
	fprintf(fid,'</TABLE>');
	fprintf(fid,htmltxt_img{ihour+1});

	analyse_day_html_generalFooter(fid);    
    end %for each hour

% daily pages
% page for general info
	fhtmlname_general=[ plots_basedir dateStr  '/'  'info_daily.html' ];
	
	titleStr = [ 'SPESO - 1-day - ' dateStr ];
	
	fid=analyse_day_html_generalHeader(fhtmlname_general, titleStr, dateStr);
        fprintf(fid,'<HR>');
        fprintf(fid,[ '<BR/> nData= ' num2str(nDataNum)...
		      ' / nShots= ' num2str(nShots)...
		      ' /  nFullShots= ' num2str(nFullShots) ' <BR/> ' ]);
	fprintf(fid,'<HR>');% ---------------------------------------------------
	%online analysis
        imgname=[ 'analysis_figure_' num2str(200) '.png' ];
        fprintf(fid, [ '<A HREF="' imgname '" ><IMG SRC="' imgname '" WIDTH=' num2str(imageSizes) ' ></A>\n' ] );
	fprintf(fid,'<table>');
	for irow=0:4
	     fprintf(fid,'<tr>');
		for ifig=[201+irow*4:204+irow*4]
		   imgname=[ 'analysis_figure_' num2str(ifig) '.png' ];
		   fprintf(fid,'<td>');
		   fprintf(fid, [ '<A HREF="' imgname '" ><IMG SRC="' imgname '" WIDTH=' num2str(imageSizes) ' ></A>\n' ] );
		   fprintf(fid,'<td>');
		end % for each figure
	   fprintf(fid, '</tr>');
	end; % irow
	fprintf(fid,'</table>');
	
	if (nFullShots>0)
         for ifig=[1,101,111:112]
           imgname=[ 'analysis_figure_' num2str(ifig) '.png' ];
           fprintf(fid, [ '<A HREF="' imgname '" ><IMG SRC="' imgname '" WIDTH=' num2str(imageSizes) ' ></A>\n' ] );
         end % for each figure
   	end %if nFullShots>0
	fprintf(fid,'<HR>');% ---------------------------------------------------

	analyse_day_html_generalFooter(fid);
% page with hourly plots
	fhtmlname_hours=[ plots_basedir dateStr  '/'  'info_daily_hours.html' ];
        
	titleStr = [ 'SPESO - 1-day - ' dateStr ];
	fid=analyse_day_html_generalHeader(fhtmlname_hours, titleStr, dateStr);

	%% basic plots
        for jhour=1:24
	  fprintf(fid, [sprintf('%02d',jhour-1) ' h ']);
	  for ifig=[ 0:3]
	    imgname=[ sprintf('%02d',jhour-1) '/' 'hourly_figure_' num2str(ifig) '.png'	];
	    fprintf(fid, [ '<A HREF="' imgname '" ><IMG SRC="' imgname '" WIDTH=' num2str(imageSizes) ' ></A>\n' ] );
          end % for ifig
	 fprintf(fid, [ ' </BR> ']);
	end % for jhour

	analyse_day_html_generalFooter(fid);

% page with shot tables
        fhtmlname_tables=[ plots_basedir dateStr  '/'  'info_daily_tables.html' ];

        titleStr = [ 'SPESO - 1-day - ' dateStr ];
	fid=analyse_day_html_generalHeader(fhtmlname_tables, titleStr, dateStr);


	fprintf(fid,'<TABLE border=2>');

	fprintf(fid,'<TR>');
	fprintf(fid,'<TD rowspan=2> Event # </TD>');
	fprintf(fid,'<TD rowspan=2> Channel # </TD>');
	fprintf(fid,'<TD rowspan=2> Status </TD>');
	fprintf(fid,'<TD colspan=8> SPM </TD>');
	fprintf(fid,'<TD colspan=8> LPM </TD>');
	fprintf(fid,'</TR>');
	fprintf(fid,'<TR>');

	for ipulse=1:2
		fprintf(fid,'<TD colspan=3>Means</tD>');
		fprintf(fid,'<TD colspan=3>RMS</tD>');
		fprintf(fid,'<TD>Signal Value</tD>');
		fprintf(fid,'<TD>Neg Peak</tD>');
	end %for

	fprintf(fid,'</TR>');

	htmltxt_table{ihour+1}= [ ' ' htmltxt_table{ihour+1} ] ; % avoids empty cells    
	htmltxt_img{ihour+1}= [ ' ' htmltxt_img{ihour+1} ] ; % avoids empty cells    

	for jhour=1:24
	    fprintf(fid,['<A HREF="'  sprintf('%02d',jhour-1)  '/info_hourly_'...
			  sprintf('%02d',jhour-1)  '.html"> Infos for ' dateStr  '_'...
			  sprintf('%02d',jhour-1)  '</A><BR/>\n']);
	end %for each hour        
	for jhour=1:24
	    fprintf(fid,strrep(htmltxt_table{jhour},'HREF="info',[ 'HREF="' sprintf('%02d',jhour-1)  '/info' ] ));
	end %for each hour        

	fprintf(fid,'</TABLE>');

	analyse_day_html_generalFooter(fid);

% page for shots

	fhtmlname_shots=[ plots_basedir dateStr  '/'  'info_daily_shots.html' ];

        titleStr = [ 'SPESO - 1-day - ' dateStr ];

	fid=analyse_day_html_generalHeader(fhtmlname_shots, titleStr, dateStr);


        for jhour=1:24
			shot_html=strrep(htmltxt_img{jhour}, '="scope', [ '="'  sprintf('%02d',jhour-1) '/scope' ]);
			shot_html=strrep(shot_html,	'"info', ['"' sprintf('%02d',jhour-1) '/info']);
			fprintf(fid, shot_html);
        end %for each hour        

	analyse_day_html_generalFooter(fid);



end % function


%====================
% everything below - commented
%===================
%{

%%% HTML file
    for ihour=0:24
      %ihour=24 => full day
      if (ihour<24)
           basehtmldir=[ plots_basedir dateStr  '/'  sprintf('%02d',ihour) '/' ];
           fhtmlname=[ basehtmldir 'info_hourly_' dateStr '_' sprintf('%02d',ihour) '.html' ];
           if (~exist(basehtmldir,'dir'))
             mkdir(basehtmldir);
           end
      else
           fhtmlname=[ plots_basedir dateStr  '/'  'info_daily_' dateStr  '.html' ];
      end % ihour <24

      fid=fopen(fhtmlname,'w');
      if (fid==-1)
        error_sp(['Unable to open file ' fhtmlname ' / fid=  ' fid ]);
      end %if fid -1
      if (ihour<24)
        titleStr = [ 'SPESO - 1-hour - ' dateStr ' - ' sprintf('%02d',ihour) ];
      else
        titleStr = [ 'SPESO - 1-day - ' dateStr ];
      end
      header_fun(fid, titleStr);
    
      fprintf(fid,['<BR/>\n<A HREF="../all_days.html"> Infos for all days </A><BR/>\n']);
      if (ihour<24)
        fprintf(fid,['<BR/>\n<A HREF="../info_daily_' dateStr '.html"> Infos for ' dateStr  '</A><BR/>\n']);
      end

      fprintf(fid,'<HR>');      
      fprintf(fid,[ '<BR/> nData= ' num2str(nDataNum) ' / nShots= ' num2str(nShots) ' /  nFullShots= ' num2str(nFullShots) ' <BR/> ' ]);

%% basic plots
if (ihour<24)
      fprintf(fid,'<HR>');
for ifig=[ 0:3]
	imgname=[ 'hourly_figure_' num2str(ifig) '.png'	];
fprintf(fid, [ '<A HREF="' imgname '" ><IMG SRC="' imgname '" WIDTH=' num2str(imageSizes) ' ></A>\n' ] );
            end % for ifig
	    else
	      for jhour=1:24
			  fprintf(fid, [sprintf('%02d',jhour-1) ' h ']);
for ifig=[ 0:3]
	imgname=[ sprintf('%02d',jhour-1) '/' 'hourly_figure_' num2str(ifig) '.png'	];
fprintf(fid, [ '<A HREF="' imgname '" ><IMG SRC="' imgname '" WIDTH=' num2str(imageSizes) ' ></A>\n' ] );
            end % for ifig
			  fprintf(fid, [ ' </BR> ']);
end % for jhour
end %end ihour <24

      fprintf(fid,'<HR>');
      if (nFullShots>0)
      for ifig=[1:9,101,111:112]
        imgname=[ 'analysis_figure_' num2str(ifig) '.png' ];
        fprintf(fid, [ '<A HREF="' imgname '" ><IMG SRC="' imgname '" WIDTH=' num2str(imageSizes) ' ></A>\n' ] ); 
      end % for each figure
      end %if nFullShots>0

            fprintf(fid,'<HR>');

      
      fprintf(fid,'<TABLE border=2>');

      fprintf(fid,'<TR>');
      fprintf(fid,'<TD rowspan=2> Event # </TD>');
      fprintf(fid,'<TD rowspan=2> Channel # </TD>');
      fprintf(fid,'<TD rowspan=2> Status </TD>');
      fprintf(fid,'<TD colspan=8> SPM </TD>');
      fprintf(fid,'<TD colspan=8> LPM </TD>');
      fprintf(fid,'</TR>');
      fprintf(fid,'<TR>');
      for ipulse=1:2
        fprintf(fid,'<TD colspan=3>Means</tD>');
        fprintf(fid,'<TD colspan=3>RMS</tD>');
        fprintf(fid,'<TD>Signal Value</tD>');
        fprintf(fid,'<TD>Neg Peak</tD>');
      end %for
      fprintf(fid,'</TR>');

      htmltxt_table{ihour+1}= [ ' ' htmltxt_table{ihour+1} ] ; % avoids empty cells    
      htmltxt_img{ihour+1}= [ ' ' htmltxt_img{ihour+1} ] ; % avoids empty cells    
      if (ihour<24)
        fprintf(fid,htmltxt_table{ihour+1});
      else
        for jhour=1:24
            fprintf(fid,['<A HREF="'  sprintf('%02d',jhour-1)  '/info_hourly_' dateStr '_'  sprintf('%02d',jhour-1)  '.html"> Infos for ' dateStr  '_'  sprintf('%02d',jhour-1)  '</A><BR/>\n']);
        end %for each hour        
        for jhour=1:24
            fprintf(fid,strrep(htmltxt_table{jhour},'HREF="info',[ 'HREF="' sprintf('%02d',jhour-1)  '/info' ] ));
        end %for each hour        
      end

    fprintf(fid,'</TABLE>');

      if (ihour<24)
        fprintf(fid,htmltxt_img{ihour+1});
      else
        for jhour=1:24
		    fprintf(fid,strrep(htmltxt_img{jhour},'="scope', [ '="'  sprintf('%02d',jhour-1) '/scope' ] ));
        end %for each hour        
      end


    dateAnalysedStr=datestr(now);
    fprintf(fid,['<BR/>\nLatest data from that day analysed on ' dateAnalysedStr  '<BR/>\n']);
    
    footer_fun(fid);
    fclose(fid);
    
    end %for each hour

end %analyse_day

%}
