function analyse_info_one_day(dateStr)

global basedir;
global imageSizes;
global plots_basedir;

define_dirs_analysis();


if (~(length(dateStr)==8))
  error_sp( [ 'Error the date passed to analyse-info-one-day is not correct: ' dateStr ] )
end %if length is not correct

load_analysis_data([ dateStr '_scope/day_' dateStr '.dayFullInfo' ]);
%load_analysis_data();

global dvar;
define_data_var();


figure(1)
data_histo(dvar.RESEAU_POS)
figure(2)
data_histo(dvar.DETECT_SPOS)
figure(3)
data_histo(dvar.DETECT_XPOS)
figure(4)
data_histo(dvar.DETECT_ZPOS)
figure(5)
data_histo(dvar.DETECT_R2)
figure(6)
data_histo(dvar.DETECT_R1)
figure(7)
data_histo(dvar.LPM)
figure(8)
data_histo(dvar.XBPM)
figure(9)
data_histo(dvar.QICT1)


figure(101)
data_plot2d(dvar.RESEAU_POS,dvar.DATA_PEAK_LPM)

data_select(dvar.RESEAU_POS,'>',1.2e6)

figure(111)
data_plot2d(dvar.DETECT_SPOS,dvar.DATA_PEAK_LPM)
figure(112)
%data_plot2d(dvar.DETECT_XPOS,dvar.DATA_PEAK_LPM)
%figure(113)
data_plot2d(dvar.QICT1,dvar.DATA_PEAK_LPM)


plotsdirday=[ plots_basedir dateStr  '/' ];

for ifig=[1:9,101,111:112]
  figure(ifig)
  print('-dpng', [ plotsdirday 'analysis_figure_' num2str(ifig) '.png' ]);
end % for each figure

fih=figure(301);
data_vars_plot();
 set(gcf,'PaperUnits','inches','PaperPosition',[0 0 24 18])
print(fih, '-dpng', '-r300',[ plots_basedir dateStr '/analysis_figure_' num2str(1) '.png' ])
close(fih);

end % function analyse_one_day
